Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#30522 - [midori] Extensions recomemn packages not in repos

Attached to Project: Community Packages
Opened by Pablo Lezaeta (Jristz) - Tuesday, 03 July 2012, 16:10 GMT
Last edited by Bartłomiej Piotrowski (Barthalion) - Friday, 06 July 2012, 07:26 GMT
Task Type Feature Request
Category Packages
Status Closed
Assigned To Alexander F. Rødseth (xyproto)
Bartłomiej Piotrowski (Barthalion)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
Many.
First Extensions listen Aria2 and steadyflow for download managers
but steadyflow arennot in repo at this moment
Seccond, I build them using vala for extensions, but beffore this I remove them, in other wors vala isnot a potdep is a makedep only (In my system w no vala extensions work perfectly)

Solutions:
Add steadyflow to the community and add optdeps: aira2 and steadyflow
or build w no steadyflow support (If is possible?)
remove vala from optdeps and move to makedeps only
add gstreamer-ugly to optdep for support html5-videos

Additional info:
* 0.4.6
* default

This task depends upon

Closed by  Bartłomiej Piotrowski (Barthalion)
Friday, 06 July 2012, 07:26 GMT
Reason for closing:  Implemented
Additional comments about closing:  midori 0.4.6-2
Comment by Jelle van der Waa (jelly) - Thursday, 05 July 2012, 13:46 GMT
Addons can be perfectly fine packaged in the AUR, if one of these two maintainers are willing todo that, they will. So I assigned the bugreport for your valid concern, that gstreamer-ugly should/might/could be an optdep for html5-videos.
Comment by Bartłomiej Piotrowski (Barthalion) - Friday, 06 July 2012, 07:00 GMT
It sounds logical: if you want to enable aria2 extension, you do need to install aria2. The same with steadyflow extension.
No, building without steadyflow isn't possible. They are plugins already, no one is forcing you to use them.

You're right about vala in optdeps and adding gstreamer-ugly.

Loading...